.lgd-footer__pre-footer {
  padding-block: clamp(1rem, 10vw, var(--section-spacing-vertical-pre-footer));
  color: var(--color-pre-footer-text);
  background-color: var(--color-section-pre-footer-bg);
}

.lgd-footer__pre-footer a {
  color: var(--color-pre-footer-link);
}

.lgd-footer__footer {
  color: var(--color-footer-text);
  background-color: var(--color-section-footer-bg);
}

.lgd-footer__footer a {
  color: var(--color-footer-link);
}

.lgd-footer__post-footer {
  padding-block: clamp(1rem, 10vw, var(--section-spacing-vertical-post-footer));
  color: var(--color-post-footer-text);
  background-color: var(--color-section-post-footer-bg);
}

.lgd-footer__post-footer a {
  color: var(--color-post-footer-link);
}

.lgd-footer__housekeeping {
  padding-block: var(--section-spacing-vertical-housekeeping);
  color: var(--color-housekeeping-text);
  background-color: var(--color-section-housekeeping-bg);
  font-size: var(--font-size-small);
}

.lgd-footer__housekeeping a {
  color: var(--color-housekeeping-link);
}

/* Headings in footer regions */
.lgd-footer__pre-footer h2,
.lgd-footer__pre-footer h3,
.lgd-footer__pre-footer h4,
.lgd-footer__pre-footer h5,
.lgd-footer__pre-footer h6 {
  color: var(--color-pre-footer-heading);
}
.lgd-footer__footer h2,
.lgd-footer__footer h3,
.lgd-footer__footer h4,
.lgd-footer__footer h5,
.lgd-footer__footer h6 {
  color: var(--color-footer-heading);
}
.lgd-footer__post-footer h2,
.lgd-footer__post-footer h3,
.lgd-footer__post-footer h4,
.lgd-footer__post-footer h5,
.lgd-footer__post-footer h6 {
  color: var(--color-post-footer-heading);
}
.lgd-footer__housekeeping h2,
.lgd-footer__housekeeping h3,
.lgd-footer__housekeeping h4,
.lgd-footer__housekeeping h5,
.lgd-footer__housekeeping h6 {
  color: var(--color-housekeeping-heading);
}

.footer__icons-list {
  list-style: none;
  padding: 0;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 1rem;
}

.footer__icons-list a {
  color: var(--color-footer-logos);
}

/* Footer social icons */
.social-links {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: var(--spacing);
  list-style: none;
  padding: 0;
}

.social-links li > a:where([href*='bsky'], [href*='linkedin'], [href*='youtube']) {
  margin-left: 2rem;
  position: relative;
}

.social-links li > a:where([href*='bsky'], [href*='linkedin'], [href*='youtube']):before {
  position: absolute;
  top: 0;
  left: 0;
  content: '';
  mask-size: auto;
  mask-repeat: no-repeat;
  transition: background-color 200ms;
  background-color: var(--color-text);
  width: var(--icon-size);
  height: var(--icon-size);
  margin-left: -2rem;
}

.social-links a[href*='linkedin']:before {
  mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" stroke-miterlimit="10" viewBox="0 0 512 512"><path d="M475.436.058H36.464C16.35.058.007 16.63.007 36.972v438.172c0 20.343 16.343 36.914 36.457 36.914h438.972c20.114 0 36.571-16.571 36.571-36.914V36.972c0-20.343-16.457-36.914-36.571-36.914ZM154.75 438.915H78.864V194.572h76v244.343h-.114Zm-37.943-277.714c-24.343 0-44-19.772-44-44 0-24.229 19.657-44 44-44 24.229 0 44 19.771 44 44 0 24.343-19.657 44-44 44Zm322.4 277.714h-75.885V320.058c0-28.343-.572-64.8-39.429-64.8-39.543 0-45.6 30.857-45.6 62.743v120.914h-75.886V194.572h72.8v33.372h1.029c10.171-19.2 34.971-39.429 71.886-39.429 76.8 0 91.085 50.629 91.085 116.457v133.943Z"/></svg>');
  -webkit-mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" stroke-miterlimit="10" viewBox="0 0 512 512"><path d="M475.436.058H36.464C16.35.058.007 16.63.007 36.972v438.172c0 20.343 16.343 36.914 36.457 36.914h438.972c20.114 0 36.571-16.571 36.571-36.914V36.972c0-20.343-16.457-36.914-36.571-36.914ZM154.75 438.915H78.864V194.572h76v244.343h-.114Zm-37.943-277.714c-24.343 0-44-19.772-44-44 0-24.229 19.657-44 44-44 24.229 0 44 19.771 44 44 0 24.343-19.657 44-44 44Zm322.4 277.714h-75.885V320.058c0-28.343-.572-64.8-39.429-64.8-39.543 0-45.6 30.857-45.6 62.743v120.914h-75.886V194.572h72.8v33.372h1.029c10.171-19.2 34.971-39.429 71.886-39.429 76.8 0 91.085 50.629 91.085 116.457v133.943Z"/></svg>');
}

.social-links a[href*='youtube']:before {
  mask-image: url('data:image/svg+xml;utf8,<svg viewBox="0 0 512 512" width="100%" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:serif="http://www.serif.com/" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M449.446,0c34.525,0 62.554,28.03 62.554,62.554l0,386.892c0,34.524 -28.03,62.554 -62.554,62.554l-386.892,0c-34.524,0 -62.554,-28.03 -62.554,-62.554l0,-386.892c0,-34.524 28.029,-62.554 62.554,-62.554l386.892,0Zm-20.967,175.63c-4.139,-15.489 -16.337,-27.687 -31.826,-31.826c-28.078,-7.524 -140.653,-7.524 -140.653,-7.524c0,0 -112.575,0 -140.653,7.524c-15.486,4.139 -27.686,16.337 -31.826,31.826c-7.521,28.075 -7.521,86.652 -7.521,86.652c0,0 0,58.576 7.521,86.648c4.14,15.489 16.34,27.69 31.826,31.829c28.078,7.521 140.653,7.521 140.653,7.521c0,0 112.575,0 140.653,-7.521c15.489,-4.139 27.687,-16.34 31.826,-31.829c7.521,-28.072 7.521,-86.648 7.521,-86.648c0,0 0,-58.577 -7.521,-86.652Zm-208.481,140.653l0,-108.002l93.53,54.001l-93.53,54.001Z"/></svg>');
  -webkit-mask-image: url('data:image/svg+xml;utf8,<svg viewBox="0 0 512 512" width="100%" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:serif="http://www.serif.com/" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M449.446,0c34.525,0 62.554,28.03 62.554,62.554l0,386.892c0,34.524 -28.03,62.554 -62.554,62.554l-386.892,0c-34.524,0 -62.554,-28.03 -62.554,-62.554l0,-386.892c0,-34.524 28.029,-62.554 62.554,-62.554l386.892,0Zm-20.967,175.63c-4.139,-15.489 -16.337,-27.687 -31.826,-31.826c-28.078,-7.524 -140.653,-7.524 -140.653,-7.524c0,0 -112.575,0 -140.653,7.524c-15.486,4.139 -27.686,16.337 -31.826,31.826c-7.521,28.075 -7.521,86.652 -7.521,86.652c0,0 0,58.576 7.521,86.648c4.14,15.489 16.34,27.69 31.826,31.829c28.078,7.521 140.653,7.521 140.653,7.521c0,0 112.575,0 140.653,-7.521c15.489,-4.139 27.687,-16.34 31.826,-31.829c7.521,-28.072 7.521,-86.648 7.521,-86.648c0,0 0,-58.577 -7.521,-86.652Zm-208.481,140.653l0,-108.002l93.53,54.001l-93.53,54.001Z"/></svg>');
}

.social-links a[href*='bsky']:before {
  mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" stroke-miterlimit="10" viewBox="0.205 0.603 182 181"><path d="M19.205.603c-10.493 0-19 8.506-19 19v143c0 10.493 8.507 18.999 19 19h144c10.493 0 19-8.507 19-19v-143c0-10.494-8.507-19-19-19h-144Zm4.719 20.312c6.998.106 15.648 4.513 22.25 9.469C64.472 44.12 84.166 71.967 91.392 86.915c7.227-14.947 26.92-42.794 45.219-56.531 13.203-9.913 34.594-17.593 34.594 6.812 0 4.874-2.799 40.957-4.438 46.813-5.697 20.359-26.471 25.549-44.937 22.406 32.279 5.494 40.483 23.678 22.75 41.875-33.679 34.56-48.38-8.673-52.156-19.75-.692-2.031-1.027-2.964-1.032-2.156-.004-.808-.339.125-1.03 2.156-3.775 11.077-18.507 54.311-52.188 19.75-17.734-18.197-9.498-36.382 22.781-41.875-18.467 3.143-39.241-2.048-44.938-22.406-1.639-5.857-4.437-41.94-4.437-46.813 0-12.202 5.345-16.387 12.344-16.281Z"/></svg>>');
  -webkit-mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" stroke-miterlimit="10" viewBox="0.205 0.603 182 181"><path d="M19.205.603c-10.493 0-19 8.506-19 19v143c0 10.493 8.507 18.999 19 19h144c10.493 0 19-8.507 19-19v-143c0-10.494-8.507-19-19-19h-144Zm4.719 20.312c6.998.106 15.648 4.513 22.25 9.469C64.472 44.12 84.166 71.967 91.392 86.915c7.227-14.947 26.92-42.794 45.219-56.531 13.203-9.913 34.594-17.593 34.594 6.812 0 4.874-2.799 40.957-4.438 46.813-5.697 20.359-26.471 25.549-44.937 22.406 32.279 5.494 40.483 23.678 22.75 41.875-33.679 34.56-48.38-8.673-52.156-19.75-.692-2.031-1.027-2.964-1.032-2.156-.004-.808-.339.125-1.03 2.156-3.775 11.077-18.507 54.311-52.188 19.75-17.734-18.197-9.498-36.382 22.781-41.875-18.467 3.143-39.241-2.048-44.938-22.406-1.639-5.857-4.437-41.94-4.437-46.813 0-12.202 5.345-16.387 12.344-16.281Z"/></svg>');
}